/* Re-usable cross-browser animations */

@mixin fading-in($duration) {
  -webkit-animation: fade-in $duration; /* Safari, Chrome and Opera > 12.1 */
  -moz-animation: fade-in $duration; /* Firefox < 16 */
  -ms-animation: fade-in $duration; /* Internet Explorer */
  -o-animation: fade-in $duration; /* Opera < 12.1 */
  animation: fade-in $duration;
}

@keyframes fade-in {
  from { opacity: 0; }
  to { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fade-in {
  from { opacity: 0; }
  to { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fade-in {
  from { opacity: 0; }
  to { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fade-in {
  from { opacity: 0; }
  to { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fade-in {
  from { opacity: 0; }
  to { opacity: 1; }
}

/* Decorated elements */
@mixin decorated-list {
  padding: 0.5rem 0 0.5rem 1rem;

  li {
    line-height: 1.5rem;

    &::before {
      content: '';
      display: inline-block;
      height: 0.9rem;
      width: 0.9rem;
      background-image: url('/assets/bullet.svg');
      background-size: contain;
      background-repeat: no-repeat;
      margin-right: 0.5rem;
    }

    span {
      font-weight: bold;
    }
  }
}

@mixin noteBlock {
  color: black;
  background-color: $lightest-grey;
  border-left: solid 4px $vivid-orange;
  overflow: hidden;
  padding: 0.8rem;
}

/* Font families and fallbacks */

@mixin roboto-condensed-font-family {
  font-family: roboto-condensed, Arial, Helvetica, sans-serif;
}

@mixin roboto-light-font-family {
  font-family: roboto-light, Arial, Helvetica, sans-serif;
}

@mixin roboto-regular-font-family {
  font-family: roboto-regular, Arial, Helvetica, sans-serif;
}

@mixin althea-font-family {
  font-family: althea-regular, roboto-condensed, Arial, Helvetica, sans-serif;
}

@mixin serif-font-family {
  font-family: "Times New Roman", Times, serif;
}
